MozillaZine

Firefox 14 a lot of plugins it DOESN'T UPDATED

User Help for Mozilla Firefox
dfoulkes

User avatar
 
Posts: 19076
Joined: June 28th, 2008, 10:31 pm
Location: Mesquite, Nevada

Post Posted July 18th, 2012, 7:28 am

In case you forgot, the mobile Firefox took the 14.0 a short while ago and in order to be inline with the mobile Firefox 14.0.1 update, the desktop Firefox is at 14.0.1 also.

James, thank you... I watch the update link from Mozilla but I didn't read enough of the listing.
As you can see she's (The CAT) always alert and on the prowl for Meoware !!

dfoulkes

User avatar
 
Posts: 19076
Joined: June 28th, 2008, 10:31 pm
Location: Mesquite, Nevada

Post Posted July 18th, 2012, 7:38 am

And i CAN'T install that plguin because it tells me that it is not combatible with firefox 14.0.1 so....

I installed that extension...
Disable Add-on Compatibility Checks :: Add-ons for Firefox
...into my Test profile and it installed fine... according to the extension web site it is compatible with 14.01 ... and it is. Is your system telling you that it isn't?
As you can see she's (The CAT) always alert and on the prowl for Meoware !!

Joypebble
 
Posts: 8
Joined: July 18th, 2012, 7:25 am

Post Posted July 18th, 2012, 7:42 am

Gingerbread Man said:

"Simply check for add-on updates and they should sort themselves out.
support.mozilla.org/kb/re-enable-add-ons-disabled-when-updating"


With all due respect, it's not clear what this means. They do not sort themselves out. When queried for 14.0.1 themes, the response is that there are none. After checking manually through approximately 500 appearance themes, I found only three of four that would work with the latest version of Firefox.

What are you suggesting? It's not clear.

I have never seen any single update in Firefox so drastically kill off such a huge population of appearance themes. I'd like to know what the customary length of time for new (specifically high vis) themes to come along after such a clean sweep?

---JP

Gingerbread Man

User avatar
 
Posts: 7413
Joined: January 30th, 2007, 10:55 am

Post Posted July 18th, 2012, 9:50 am

Joypebble wrote:With all due respect, it's not clear what this means.

The vast majority of extensions are compatible by default. Meaning that any extension that worked with Firefox 4 should work with the latest version without any action on your part. This is the case for Add to Search bar, pictured in the screenshot in the original post, and presumably most or all of the others (though I didn't check every one of them).
wiki.mozilla.org/Features/Add-ons/Add-ons_Default_to_Compatible

So, if extensions have been disabled after upgrading Firefox, checking for add-on updates and then restarting if prompted will re-enable them.

Themes are not compatible by default. The theme author must change the theme's compatibility on the Firefox add-ons site, or else checking for add-on updates will not re-enable your theme. Some authors possibly have better things to do than fiddle with the theme compatibility every 6 weeks, which is why many themes are marked as incompatible although they work just fine.

As mentioned above, installing the following extension will disable compatibility checks, ensuring that no extension or theme is disabled when upgrading Firefox. Keep in mind that there's no guarantee they will work without a hitch if they haven't been updated — just that they won't be disabled.
addons.mozilla.org/firefox/addon/checkcompatibility/

fits79

User avatar
 
Posts: 279
Joined: March 9th, 2012, 1:13 am

Post Posted July 18th, 2012, 10:08 am

dfoulkes wrote:
And i CAN'T install that plguin because it tells me that it is not combatible with firefox 14.0.1 so....

I installed that extension...
Disable Add-on Compatibility Checks :: Add-ons for Firefox
...into my Test profile and it installed fine... according to the extension web site it is compatible with 14.01 ... and it is. Is your system telling you that it isn't?

NO THIS IS NOT COMBATIBLE WITH FIREFOX 14.0.1

mightyglydd

User avatar
 
Posts: 7698
Joined: November 4th, 2006, 7:07 pm
Location: Hollywood Ca.

Post Posted July 18th, 2012, 10:26 am

fits79 wrote:NO THIS IS NOT COMBATIBLE WITH FIREFOX 14.0.1


YES IT IS, I just installed/removed it, so's Add to Searchbar without any 'compatibility extension'.

IMHO something else is going on here.....
# KeepFightingMichael

fits79

User avatar
 
Posts: 279
Joined: March 9th, 2012, 1:13 am

Post Posted July 18th, 2012, 10:48 am

Are you SURE THAT YOU HAVE THE FIREFOX 14.0.1 INSTALLED?
If yes then THIS PLUGIN DON'T LET YOU INSTALLED BECASUSE IT IS NOT COMBATIBLE.
SEE HERE:
Image

mightyglydd

User avatar
 
Posts: 7698
Joined: November 4th, 2006, 7:07 pm
Location: Hollywood Ca.

Post Posted July 18th, 2012, 10:57 am

Yep 14.0.1 on win 7, you can see my User Agent... same as yours.
# KeepFightingMichael

dfoulkes

User avatar
 
Posts: 19076
Joined: June 28th, 2008, 10:31 pm
Location: Mesquite, Nevada

Post Posted July 18th, 2012, 11:16 am

fits79
To verify what we've been saying about the compatibility of that extension...
Create a test profile, make no changes to it other than to install that extension... what do you get?
Creating a new Firefox profile on Windows - MozillaZine Knowledge Base
As you can see she's (The CAT) always alert and on the prowl for Meoware !!

dfoulkes

User avatar
 
Posts: 19076
Joined: June 28th, 2008, 10:31 pm
Location: Mesquite, Nevada

Post Posted July 18th, 2012, 11:26 am

I just looked at something... when I click on...
Disable Add-on Compatibility Checks :: Add-ons for Firefox
to get to the latest version (on the main page) the URL ending looks different that what the OP posted... in his pic. I see the word "versions" at the end... just thought I would point that out...
As you can see she's (The CAT) always alert and on the prowl for Meoware !!

fits79

User avatar
 
Posts: 279
Joined: March 9th, 2012, 1:13 am

Post Posted July 18th, 2012, 11:15 pm

Yes with a new profile the check combadibility run normal at firefox 14.0.1 but WHY at my own profile doesn't run normal this plugin?

Which is stop's run ?

Gingerbread Man

User avatar
 
Posts: 7413
Joined: January 30th, 2007, 10:55 am

Post Posted July 18th, 2012, 11:22 pm

Maybe check the value of extensions.strictCompatibility in about:config and make sure it's set to the default, false.

fits79

User avatar
 
Posts: 279
Joined: March 9th, 2012, 1:13 am

Post Posted July 18th, 2012, 11:27 pm

MY FRIEND YOU ARE ABSOLUTE CORRECT THIS IS THE FAULT.

NOW THIS PLUGINS WORKS PERFECTLY.....

And why even i disable this plugin all the other plugins it is still active and works fine like the disable check is active.
And another thing is that if i make this value at false even WITHOUT the compatibility check plugins all the plugins works fine and NOT DISABLED when you open the firefox.
So the compatibility check plugin DOESN'T NEED AT ALL the only thing it need is to simply disable(false) the value "extensions.strictCompatibility"

A LOT OF THANKS

James
Moderator

User avatar
 
Posts: 25747
Joined: June 18th, 2003, 3:07 pm
Location: Made in Canada

Post Posted July 19th, 2012, 12:23 am

I guess Plugins and Extensions still mean the same thing to you when they are not the same. But at least you fixed it.
(*.mozillaZine.org is not Mozilla!)
The Complaint Department at Mozilla (current complaints) (<It is not a real complaint site but for jokes/testing of bugzilla).
The Complaint department link is borked until unknown time.

fits79

User avatar
 
Posts: 279
Joined: March 9th, 2012, 1:13 am

Post Posted July 19th, 2012, 2:12 am

Yes what is the difference betweern of them?

And when i simply disable the strict update ALL THE PLUGINS works just fine even at 14.0.1 the before DON'T WORK.

SO.....

Return to Firefox Support


Who is online

Users browsing this forum: Google [Bot] and 10 guests